%global pypi_name jaraco_collections

%bcond_with docs
%bcond_with check

Name:           python-jaraco-collections
Version:        5.1.0
Release:        %mkrel 2
Summary:        Collection objects similar to those in stdlib by jaraco
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/jaraco.collections
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
%{summary}.

%package -n     python3-jaraco-collections
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-jaraco

%description -n python3-jaraco-collections
%{summary}.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x testing}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%if %{with check}
%check
%pytest
%endif

%install
%pyproject_install
%pyproject_save_files jaraco

%files -n python3-jaraco-collections -f %{pyproject_files}
%doc LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.1.0-2.mga10
+ Revision: 2237998
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 5.1.0-1.mga10
+ Revision: 2154252
- new version: 5.1.0
- rebuild for python 3.13

* Sun Dec 10 2023 wally <wally> 5.0.0-1.mga10
+ Revision: 2016955
- new version 5.0.0
- use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 3.5.1-2.mga9
+ Revision: 1832835
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 3.5.1-1.mga9
+ Revision: 1784289
- version 3.5.1
- rebuild for python-3.10

* Sun Mar 21 2021 guillomovitch <guillomovitch> 3.2.0-1.mga9
+ Revision: 1706726
- rebuild for python 3.9

* Tue Nov 10 2020 guillomovitch <guillomovitch> 3.0.0-1.mga8
+ Revision: 1644338
- imported package python-jaraco-collections

